New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Supports log4j-core 2.6+(2.11) #1210

Closed
kazuki43zoo opened this Issue Mar 18, 2018 · 1 comment

Comments

Projects
None yet
1 participant
@kazuki43zoo
Copy link
Member

kazuki43zoo commented Mar 18, 2018

I've tried to upgrade to the log4j-core 2.10.0 (latest version). However, a compile error occurs on Log4j2AbstractLoggerImpl.
This behavior occurs on 2.6+.

Related Links

@kazuki43zoo

This comment has been minimized.

Copy link
Member Author

kazuki43zoo commented Mar 18, 2018

Since log4j 2.6, the SimpleMessage(implementation class of Message) implements the CharSequence and it added the logger method for the CharSequence in Logger class. Therefore current implementation of Log4j2AbstractLoggerImpl cannot be identified the logger method by method arguments because it exists already the logger method for the Message interface in Logger class.

Probably, we can resolve this issue by casting explicitly to the Message.

kazuki43zoo added a commit to kazuki43zoo/mybatis-3 that referenced this issue Mar 19, 2018

kazuki43zoo added a commit to kazuki43zoo/mybatis-3 that referenced this issue Mar 19, 2018

kazuki43zoo added a commit that referenced this issue Mar 19, 2018

@kazuki43zoo kazuki43zoo changed the title Can not upgrade to log4j-core 2.6+ Supports log4j-core 2.6+(2.11) Mar 19, 2018

@kazuki43zoo kazuki43zoo self-assigned this Mar 19, 2018

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment